import React from 'react';
import ReactDOM from 'react-dom';
import _ from 'lodash';
import Panels from './panels';

import { DEFAULT_CONFIG } from './utils';

class Wrapper extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      ...DEFAULT_CONFIG,
    };
    this.updateVizOptions = this.updateVizOptions.bind(this);
    this.updateRosEndpoint = this.updateRosEndpoint.bind(this);
  }

  updateVizOptions(key, options) {
    const { visualizations } = this.state;
    this.setState({
      visualizations: _.map(visualizations, v =>
        v.key === key ? { ...v, ...options } : v,
      ),
    });
  }

  updateRosEndpoint(endpoint) {
    const { ros } = this.state;
    this.setState({
      ros: {
        ...ros,
        endpoint,
      },
    });
  }

  render() {
    return (
      <Panels
        configuration={this.state}
        updateVizOptions={this.updateVizOptions}
        updateRosEndpoint={this.updateRosEndpoint}
      />
    );
  }
}

ReactDOM.render(<Wrapper />, document.getElementById('root'));
